import bb.cascades 1.0
import com.ysal.ocrscan 1.0

Page {
    id: page
    titleBar: pageTitleBar
    Container {
        background: Color.DarkGray
        PreviewView {
            id: preview
            objectName: "previewView"
            function fullScreen(full) {
                if (full) {
                    page.titleBar = null;
                    page.actionBarVisibility = ChromeVisibility.Hidden;
                } else {
                    page.titleBar = pageTitleBar;
                    page.actionBarVisibility = ChromeVisibility.Visible;
                }
            }
            onPictureSet: {
                fullScreen(false);
            }
            onZoomEnd: {
                fullScreen(preview.scale > 1);
            }
            gestureHandlers: [
                TapHandler {
	                onTapped: {
                        if (page.titleBar == null) {
                            page.titleBar = pageTitleBar;
                            page.actionBarVisibility = ChromeVisibility.Visible;
                        } else {
                            page.titleBar = null;
                            page.actionBarVisibility = ChromeVisibility.Hidden;
                        }
                        //fullScreen(page.actionBarVisibility == ChromeVisibility.Visible);
	                }
	            }
            ]
        }
    }
    attachedObjects: [
        TitleBar {
            id: pageTitleBar
            objectName: "titleBar"
            kind: TitleBarKind.Default
            title: qsTr("Page Image")
        }
    ]    
}
