import bb.cascades 1.0

Sheet {
    id: sheet
    content: Page {
        actionBarVisibility: ChromeVisibility.Hidden
        titleBar: TitleBar {
            kind: TitleBarKind.Default
            acceptAction: accept
            dismissAction: reject
            title: qsTr("Extracted Text")
        }
        Container {
            TextArea {
                id: scannedText
                objectName: "scannedText"
                editable: true
            }
            ScrollView {
                objectName: "scannedTextContainer"
                Label {
                    id: scannedTextRO
                    objectName: "scannedTextRO"
                    multiline: true
                }
                scrollViewProperties {
                    scrollMode: ScrollMode.Vertical
                }
            }
        }
        actions: [
            ActionItem {
                id: reject
                title: qsTr("Reject")
                onTriggered: {
                    app.rejectText();
                    sheet.close();
                    app.unpauseCamera();
                    scannedText.text = "";
                    scannedTextRO.text = "";
                }
            },
            ActionItem {
                id: accept
                title: qsTr("Accept")
                onTriggered: {
                    app.acceptText();
                    sheet.close();
                    scannedText.text = "";
                    scannedTextRO.text = "";
                }
            }
        ]
    }
}
